--- old/usr/src/lib/libnisdb/db_entry_c.x	Fri Jul 24 12:28:10 2015
+++ new/usr/src/lib/libnisdb/db_entry_c.x	Fri Jul 24 12:28:10 2015
@@ -22,12 +22,11 @@
 /*
  *	db_entry_c.x
  *
+ * Copyright 2015 Gary Mills
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
 
-%#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Some manifest constants, chosen to maximize flexibility without
  * plugging the wire full of data.
@@ -40,6 +39,10 @@
 %#include <rpcsvc/nis.h>
 #endif /* RPC_HDR */
 
+#if RPC_XDR
+%#include "nis_clnt.h"
+#endif /* RPC_XDR */
+
 #ifdef USINGC
 enum db_status {DB_SUCCESS, DB_NOTFOUND, DB_NOTUNIQUE,
 		DB_BADTABLE, DB_BADQUERY, DB_BADOBJECT,
